Gecode::ViewAdvisor< View > Class Template Reference

Advisor storing a single view More...

`#include <advisor.hpp>`

## Public Member Functions

template<class A>
| ViewAdvisor (Space &home, Propagator &p, Council< A > &c, View x0)
| Constructor for creation.
| ViewAdvisor (Space &home, ViewAdvisor< View > &a)
| Constructor for cloning a.
View | view (void) const
| Access view.
void | view (Space &home, View y)
| Replace view (also replaces subscription to view).
template<class A>
void | dispose (Space &home, Council< A > &c)
| Delete advisor.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.

## Protected Attributes

View | x
| The single view.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class View>
class Gecode::ViewAdvisor< View >

Advisor storing a single view

Definition at line 43 of file advisor.hpp.

## Constructor & Destructor Documentation

## ViewAdvisor() [1/2]

template<class View>
template<class A>

Gecode::ViewAdvisor< View >::ViewAdvisor | ( | Space & | home,
|  | Propagator & | p,
|  | Council< A > & | c,
|  | View | x0 )

inline

Constructor for creation.

Definition at line 66 of file advisor.hpp.

## ViewAdvisor() [2/2]

template<class View>

Gecode::ViewAdvisor< View >::ViewAdvisor | ( | Space & | home,
|  | ViewAdvisor< View > & | a )

inline

Constructor for cloning a.

Definition at line 73 of file advisor.hpp.

## Member Function Documentation

## view() [1/2]

template<class View>

View Gecode::ViewAdvisor< View >::view | ( | void |  | ) | const

inline

Access view.

Definition at line 79 of file advisor.hpp.

## view() [2/2]

template<class View>

void Gecode::ViewAdvisor< View >::view | ( | Space & | home,
|  | View | y )

inline

Replace view (also replaces subscription to view).

Definition at line 84 of file advisor.hpp.

## dispose()

template<class View>
template<class A>

void Gecode::ViewAdvisor< View >::dispose | ( | Space & | home,
|  | Council< A > & | c )

inline

Delete advisor.

Definition at line 90 of file advisor.hpp.

## Member Data Documentation

## x

template<class View>

View Gecode::ViewAdvisor< View >::x

protected

The single view.

Definition at line 46 of file advisor.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/propagator/advisor.hpp